# TESTIM.IO - Web test automation solution, built for agile teams.
Testim is a cloud service that instantly enables Test Automation to make you Continuous Delivery ready.

### Installation

Install the testim CLI globally:

```sh
$ npm i -g @testim/testim-cli
```

### CLI Options
Token:
```sh
 --token
```
Use the token you got from testim.io (if you don't have one email [info@testim.io](mailto:info@testim.io))
```sh
testim --token my.token
```

Project:
```sh
 --project or -p
```
Select which project to run tests from
```sh
testim -p "My Project"
```
Label:
```sh
 --label or -l
```
Run all tests comprising one of the mentioned labels
```sh
testim -l my-label1 -l my-label2
```
Grid Location
```sh
 --url or -u
```
Run on a specific Selenium Grid
```sh
testim -u http://127.0.0.1:4444/wd/hub -d remote
```
Driver
```sh
 --driver or -d
```
Whether to run locally or using remotely via a Grid
```sh
testim -d remote testim -d webdriver
```
Report File
```sh
--report-file or -r
```
Specify where to print the report (defaults to output stream). The file is in the format of JUnitXMLReportner
This is used to integrate the Testim results with the CI display, usually you'll need to set the build config in the CI to look for that file so make sure the CLI param value and the build config are set to the same location.
```sh
testim -r ~/report.xml
```
Browser
```sh
--browser or -b
```
Specify Which browser
```sh
testim -b chrome
```
Base URL
```sh
--base-url
```
Starting URL after browser opens
```sh
testim --base-url www.testim.io
```
Applitools Key
```sh
--applitools-key
testim --applitools-key sadfsdflkjdsf-sdf-fds
```
Sauce Labs Key
```sh
--sauce-key
testim --sauce-key sadfsdflkjdsf-sdf-fds
```
Sauce Labs User
```sh
--sauce-user
testim --sauce-user sadfsdflkjdsf-sdf-fds
```
Stabilization Delay: Extra delay after browser opens before injection
```sh
testim --stabilization-delay 12000
```

License
----

All rights reserves to Testim Computerized Verifications Inc. 2015